From akpm@osdl.org Mon May 30 01:19:27 2005
Message-Id: <200505300809.j4U89wbi021369@shell0.pdx.osdl.net>
Subject: USB: fix usbatm gcc-2.95.x bug
From: akpm@osdl.org
To: greg@kroah.com
Cc: akpm@osdl.org, baldrick@free.fr
Date: Mon, 30 May 2005 01:09:06 -0700


From: Andrew Morton <akpm@osdl.org>

Work around the gcc-2.95.x macro expansion bug.

Cc: Duncan Sands <baldrick@free.fr>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/atm/usbatm.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/atm/usbatm.h	2005-06-01 17:13:52.000000000 -0700
+++ gregkh-2.6/drivers/usb/atm/usbatm.h	2005-06-01 22:27:08.000000000 -0700
@@ -62,7 +62,8 @@
 
 /* FIXME: move to dev_* once ATM is driver model aware */
 #define atm_printk(level, instance, format, arg...)	\
-	printk(level "ATM dev %d: " format , (instance)->atm_dev->number, ## arg)
+	printk(level "ATM dev %d: " format ,		\
+	(instance)->atm_dev->number , ## arg)
 
 #define atm_err(instance, format, arg...)	\
 	atm_printk(KERN_ERR, instance , format , ## arg)
